#include "../include/aprecv-general.h"

int print_tmux_mini_packet (unsigned char *packet, int opt_size) {
  static struct tmux_mini_pkt_header *tmux_mini_header;
  
  tmux_mini_header = (struct tmux_mini_pkt_header *)(packet+data_link_size+opt_size);

  apsr_output("- TMux Mini Header -\n");

  apsr_output("  Length : %u, Protocol ID: %u, Checksum 0x%02x\n", 
		  apsr_ntohs(tmux_mini_header->length),
		  tmux_mini_header->protocol_id,
		  tmux_mini_header->checksum);

  if(statistic)
	  stats.c.tmux_mini++;
  
  return(RET_SUCCESS);
}
