#include "../include/apsrstack-general.h"

void clean_exit (int sig) {

  service_time_close();

  statistic();
	
  apsr_output("\nExit");
  #ifdef APSRSTACK_DEBUG
  switch(sig) {
	  case SIGTERM:
	    apsr_output(" (Code: Term - 15)");
	    break;
	  case SIGQUIT:
	    apsr_output(" (Code: Quit - 3)");
            break;
          case SIGINT:
 	    apsr_output(" (Code: Interrupt - 2)");
            break;
          case SIGABRT:
            apsr_output(" (Code: Abort - 6)");
            break;
          case SIGSEGV:
            apsr_output(" (Code: Segfault - 11)");
            break;
	  default:
	    apsr_output(" (Code: %d)", sig);
	    break;
  }
  #endif
  apsr_output(".\n");
  
  exit(EXIT_SUCCESS);	
}
